diff mbox

[WIP] gnu: Add evolution.

Message ID 1473988404.14915.11.camel@openmailbox.org
State New
Headers show

Commit Message

rennes@openmailbox.org Sept. 16, 2016, 1:13 a.m. UTC
Hello,

this patch is evolution, a mail client for the GNOME desktop.

To run evolution is necessary to install evolution-data-server in user
profile; then I think that is required to start evolution-data-server
as a service to run successfully evolution without install evolution-
data-server in user profile.

Can some one help me, to clarify?.

any of these services requires evolution (evolution-source-registry):

* /gnu/store/0kgy9c98dlfz6ys3vv8n9s1bsry7ndgh-evolution-data-server-
3.20.1/libexec/evolution-source-registry
* /gnu/store/0kgy9c98dlfz6ys3vv8n9s1bsry7ndgh-evolution-data-server-
3.20.1/libexec/evolution-calendar-factory
* /gnu/store/qs0rsa4xacq6k9138321b2qpmfa79m09-evolution-
3.20.1/libexec/evolution/evolution-alarm-notify
* /gnu/store/0kgy9c98dlfz6ys3vv8n9s1bsry7ndgh-evolution-data-server-
3.20.1/libexec/evolution-calendar-factory-subprocess --factory contacts
--bus-name
org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx13711x2 --
own-path
/org/gnome/evolution/dataserver/Subprocess/Backend/Calendar/13711/2
* /gnu/store/0kgy9c98dlfz6ys3vv8n9s1bsry7ndgh-evolution-data-server-
3.20.1/libexec/evolution-addressbook-factory
* /gnu/store/0kgy9c98dlfz6ys3vv8n9s1bsry7ndgh-evolution-data-server-
3.20.1/libexec/evolution-calendar-factory-subprocess --factory local --
bus-name
org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx13711x3 --
own-path
/org/gnome/evolution/dataserver/Subprocess/Backend/Calendar/13711/3
* /gnu/store/0kgy9c98dlfz6ys3vv8n9s1bsry7ndgh-evolution-data-server-
3.20.1/libexec/evolution-addressbook-factory-subprocess --factory local
--bus-name
org.gnome.evolution.dataserver.Subprocess.Backend.AddressBookx13743x2
--own-path
/org/gnome/evolution/dataserver/Subprocess/Backend/AddressBook/13743/2


Thank you

Comments

Ludovic Courtès Sept. 24, 2016, 2:05 a.m. UTC | #1
Hi!

rennes <rennes@openmailbox.org> skribis:

> this patch is evolution, a mail client for the GNOME desktop.

Nice!

> To run evolution is necessary to install evolution-data-server in user
> profile; then I think that is required to start evolution-data-server
> as a service to run successfully evolution without install evolution-
> data-server in user profile.

I don’t know much about GNOME plumbing, but I’m guessing that
evolution-data-server can be started on demand via D-Bus, no?

If that is the case, dbus-daemon needs to have the description file of
evolution-data-server so that it can actually start it on the user’s
behalf.

In GuixSD, this is handled by having the server (evolution-data-server
here) extend ‘dbus-root-service-type’; see ‘geoclue-service-type’ for an
example.

I hope this helps; if not, I hope someone more knowledgeable can chime
in.  :-)

Ludo’.
diff mbox

Patch

From c3d83fcc79da21c8181a10e44568bbe0227fc99e Mon Sep 17 00:00:00 2001
From: Rene Saavedra <rennes@openmailbox.org>
Date: Thu, 15 Sep 2016 19:40:39 -0500
Subject: [PATCH] gnu: Add evolution.

* gnu/packages/evolution.scm (evolution): New file.

---
 gnu/packages/evolution.scm | 93 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 93 insertions(+)
 create mode 100644 gnu/packages/evolution.scm

diff --git a/gnu/packages/evolution.scm b/gnu/packages/evolution.scm
new file mode 100644
index 0000000..305893f
--- /dev/null
+++ b/gnu/packages/evolution.scm
@@ -0,0 +1,93 @@ 
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2016 Rene Saavedra <rennes@openmailbox.org>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages evolution)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix build-system glib-or-gtk)
+  #:use-module (guix download)
+  #:use-module (guix packages)
+  #:use-module (guix utils)
+  #:use-module (gnu packages databases)
+  #:use-module (gnu packages enchant)
+  #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
+  #:use-module (gnu packages gtk)
+  #:use-module (gnu packages libcanberra)
+  #:use-module (gnu packages mail)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages webkit))
+
+(define-public evolution
+  (package
+    (name "evolution")
+    (version "3.20.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://gnome/sources/" name "/"
+                           (version-major+minor version) "/"
+                           name "-" version ".tar.xz"))
+       (sha256
+        (base32
+         "1lr700xvwflsp6jkd7fg8yv68qzrvyhg7ryjzk2n68m61zi6g582"))))
+    (build-system glib-or-gtk-build-system)
+    (arguments
+     ;; Optional modules, not packaged yet.
+     `(#:configure-flags (list
+                          ;; gnome-autoar not packaged yet.
+                          "--enable-autoar=no"
+                          ;; libcryptui not packaged yet.
+                          "--disable-libcryptui"
+                          ;; text-highlight not packaged yet.
+                          "--disable-text-highlight"
+                          ;; pst-import not packaged yet.
+                          "--disable-pst-import"
+                          ;; spamassassin not packaged yet.
+                          "--with-spamassassin=no")))
+    (native-inputs
+     `(("intltool" ,intltool)
+       ("itstool" ,itstool)
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("bdb" ,bdb)
+       ("enchant" ,enchant)
+       ("evolution-data-server" ,evolution-data-server)
+       ("gcr" ,gcr)
+       ("glib" ,glib)
+       ("gnome-desktop" ,gnome-desktop)
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
+       ("gtk+" ,gtk+)
+       ("gtkspell3" ,gtkspell3)
+       ("libcanberra-gtk" ,libcanberra)
+       ("libgweather" ,libgweather)
+       ("libnotify" ,libnotify)
+       ("webkitgtk" ,webkitgtk-2.4)))
+    (propagated-inputs
+     `(("bogofilter" ,bogofilter)
+       ("libgnome-keyring" ,libgnome-keyring)))
+    (home-page "https://wiki.gnome.org/Apps/Evolution")
+    (synopsis "Manage your email, contacts and schedule")
+    (description
+     "Evolution is a personal information management application
+that provides integrated mail, calendaring and address book functionality.")
+    (license (list license:openldap2.8 ; openldap-extract.h
+                   license:lgpl2.0+    ; e-text.[ch], e-cell-tree.[ch]
+                                       ; e-dateedit.[ch]
+                   license:mpl1.1))))  ; e-asn1-object.c, e-cert.c
+                                       ; e-cert-db.c, e-cert-trust.c
+                                       ; e-pkcs12.c
-- 
2.6.3